SystemOrganization addCategory: #'MC2-Tests-OB-Smalltalk'!

MDSmalltalkAdaptionTest subclass: #MDSqueakDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OB-Smalltalk'!

!MDSqueakDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/9/2010 10:13'!
adapt: anElement
	^ facade handle: anElement! !

!MDSqueakDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/16/2007 23:59'!
adaptorSelectors
	^ #(text selection accept:notifying:)! !

!MDSqueakDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/9/2010 10:12'!
setUp
	facade := MDElementDefinitionHandler new! !

MDDefinitionTest subclass: #MDClassDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OB-Smalltalk'!

!MDClassDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/1/2008 22:16'!
expectedText
	^ 'Object subclass: BogusA
	category: ''Bogus-Base'''! !

!MDClassDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/1/2008 22:16'!
newText
	^ 'Object subclass: BogusA
	category: ''Bogus-Format'''! !

!MDClassDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
variant
	| variant |
	variant := MDDefinitionVariant forElement: 
				(MDClassElement className: #BogusA).
	variant properties
		category: #'Bogus-Base';
		format: #normal;
		superclassName: #Object.
	^ variant! !

MDCmdAddSliceTest subclass: #MDCmdAddChangeSetSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OB-Smalltalk'!

!MDCmdAddChangeSetSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/12/2008 23:02'!
factory
	^ MDCmdAddChangeSetSlice ! !

!MDCmdAddChangeSetSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 13:42'!
sliceType
	^ #ChangeSet! !

MDCmdAddSliceTest subclass: #MDCmdAddPackageInfoSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OB-Smalltalk'!

!MDCmdAddPackageInfoSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/27/2008 20:09'!
factory
	^ MDCmdAddPackageInfoSlice! !

!MDCmdAddPackageInfoSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 13:31'!
sliceType
	^ #Package! !

!MDSliceIconFilterTest methodsFor: '*mc2-tests-ob-smalltalk' stamp: 'cwp 7/22/2010 10:37'!
testSmalltalkClean
	| actual |
	self addSlice: (MDPackageInfoSlice named: self class category).
	actual := filter icon: nil forNode: node.
	self assert: actual = #smalltalkClean.! !

!MDSliceIconFilterTest methodsFor: '*mc2-tests-ob-smalltalk' stamp: 'cwp 7/22/2010 10:38'!
testSmalltalkDirty
	| element actual |
	self addSlice: (MDPackageInfoSlice named: self class category).
	element := MDClassElement className: self class name.
	self environment noteElementChanged: element.
	actual := filter icon: nil forNode: node.
	self assert: actual = #smalltalkDirty! !

TestCase subclass: #MDMethodDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OB-Smalltalk'!

!MDMethodDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
testAccept
	| variant definition source new |
	source := 'a ^ $B'.
	variant := self variant.
	definition := MDMethodDefinition on: variant.
	definition callback: [:v | new := v].
	definition accept: source notifying: nil.
	self deny: new isNil.
	self assert: new properties source = source.! !

!MDMethodDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
testText
	| variant definition |
	variant := self variant.
	definition := MDMethodDefinition on: variant.
	self assert: definition text = variant properties source.! !

!MDMethodDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
variant
	| variant |
	variant := MDDefinitionVariant forElement: 
				(MDMethodElement className: #BogusA selector: #a).
	variant properties
		category: #letters;
		initials: 'cwp';
		timestamp: MDTimestamp now;
		source: 'a ^ $A'.
	^ variant! !
